List

  • GET
  • /workspaces
  • /:workspace
  • /projects
  • /:project_name
  • /repository
  • /pulls

Returns list of pull requests in the repository

Request

REQUIRED SCOPES
REPOSITORY_READ
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

project_namerequiredstring
The human-readable ID of the project

Example: "my-project"

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
pull_requestsPullRequestView[]

Last modified on Jan 26, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/projects/:project_name/repository/pulls" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/repository/pulls", "pull_requests": [ { "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/repository/pulls/5", "name": "pull/5", "number": 5, "github_html_url": "https://github.com/company/repo/pull/5" }, { "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/repository/pulls/2", "name": "pull/2", "number": 2, "github_html_url": "https://github.com/company/repo/pull/2" } ] }
STATUS
200 OK